# QHttpRequestHeader Class Reference

### [com.trolltech.qt.network package]

Inherits QHttpHeader.

### Constructor

- void QHttpRequestHeader()
- void QHttpRequestHeader(QHttpRequestHeader header)
- void QHttpRequestHeader(String method, String path, int majorVer, int minorVer)
- void QHttpRequestHeader(String str)

### Constructor Properties

- prototype: The QHttpRequestHeader prototype object

### Prototype Object Properties

The QHttpRequestHeader prototype object inherits properties from the QHttpHeader prototype object and also has the following properties.

- String method()
- String path()
- void setRequest(String method, String path, int majorVer, int minorVer)

### Instance Properties

QHttpRequestHeader objects have no special properties beyond those inherited from the QHttpRequestHeader prototype object.